@mixin card-styles($card-palette) {
  $background: map-get($map: $card-palette, $key: "background");
  $border-radius: map-get($map: $card-palette, $key: "border-radius");

  .noku-library-card-body {
    background: $background;
    border-radius: $border-radius;
    padding: 0.5em 1em;
    
    &.shadow {
      box-shadow: 0px 0px 1px rgba(0, 0, 0, 0.04), 0px 2px 6px rgba(0, 0, 0, 0.04), 0px 10px 20px rgba(0, 0, 0, 0.04);
    }

    &.clickable {
      cursor: pointer;
    }
  }
}
